/**********************
* WARNING
* Running this code sample will cost you Browshot credits
***********************/
'use strict';

const browshot = require('browshot');
const fs = require("fs");

var client = new browshot('my_api_key');

// default cache, free screenshot
client.simple({ url: 'http://mobilito.net/', cache: 60 * 60 * 24 * 365, instance_id: 12 }, 
	function(result) {
		// it will return when the screenshot finished or failed
		if (result.code == 200) {
			fs.writeFile("screenshot.png", result.data, (err) => {
				if (err) {
					console.log(`Failed to write image to screenshot.png: ${err}`);
				}
				else {
					console.log("Image saved to screenshot.png");
				}
			});
		}
		else {
			console.log("Screenshot failed!");
			// The reason for the error is sent as part of the HTTP response in the X-Error header but it is not exposed by this library.
		}
	}
);

// quicker way to save a screenshot
client.simpleFile('mobilito.png', 
	{ url: 'http://mobilito.net/', cache: 0, instance_id: 65, screen_width: 1280, screen_height: 1024 }, //no cache, premium browser
	function(data) {
		if (data.file != '')
			console.log(`Screenshot saved to ${data.file}`);
		else
			console.log("The screenshot failed");
	}
);
